/*<IssueID:143999>,Date:06-NOV-2019,Done By:MunishK<1233>*/
/*<IssueID:170209>Date:01-Sep-2020,Done By:JatinR<1218>*/
/*<IssueID:170209>Date:04-Sep-2020,Done By:JatinR<1218>*/

.clsSectionTitleBarToolAddFolder {background: url('../Images/TreeImages/AddFolder.png') left 8px no-repeat;}
	.clsSectionTitleBarToolAddGroup {background: url('../Images/TreeImages/GroupNode.png') left 8px no-repeat;}
	.clsSectionTitleBarToolDeleteNode {background: url('../Images/TreeImages/DeleteNode.png') left 8px no-repeat;}
	.clsSectionTitleBarToolEditNode {background: url('../Images/TreeImages/EditNode.png') left 8px no-repeat;}
	.clsSectionTitleBarToolMoveNode {background: url('../Images/TreeImages/MoveNode.png') left 8px no-repeat;}
.clsTree
{
    white-space: nowrap;
    overflow: auto;
    height:100%;    
    position: absolute;     
}
.clsTree ul
{
    padding: 0px 0px 0px 20px;
    list-style: none;
}
.clsTree > ul > li:first-child
{
    height: 16px;
}
.clsTree > ul > li:first-child span
{
   padding: 0px;
   line-height: 12px;
}
.clsTree ul li span { font-size:13px; color:#434343;padding:0 2px;vertical-align: top; cursor: default; display: inline-block; height: 18px; line-height:18px; outline:none; border:1px dotted #fff; }
.clsTree ul li span.groupNode { font-size:13px;font-style:italic; }	
.clsTree ul li span.default { color:#008ecb;}
.clsTree ul li span.blue { color:blue;}
.clsTree ul li span.red { color:red;}	
.clsTree .clsListItem
{
    margin-bottom:1px; /*background: url(../Images/TreeImages/dot.png) repeat-y 8px 0px;*/
}
.clsTree .clsLastListItem
{
   margin-bottom:-1px;/* background: url(../Images/TreeImages/last-node.png) no-repeat 4px 0px;*/
}
/*.clsTree span
{
    vertical-align: top;
    cursor: default;
    display: inline-block;
    height: 18px;
    line-height: 20px;
}*/
.clsTree .clsExpandRootNode, .clsTree .clsCollapseRootNode, .clsTree .clsExpandTreeNode, .clsTree .clsCollapseTreeNode, .clsTree .clsLeafNode, .clsTree .clsFolderNode, .clsTree .clsGroupNode
{
    padding: 18px 0 0 18px;
    width: 0px;
    height: 0px;
}
.clsTree .clsCollapseRootNode, .clsTree .clsExpandRootNode
{
    margin: -2px 0 0 -12px;
}
.clsTree .clsCollapseRootNode { background: url(../Images/TreeImages/CollapseRootNode.png) no-repeat left center; }
.clsTree .clsExpandRootNode
{
    background: url(../Images/TreeImages/ExpandRootNode.png) no-repeat left center;
}
.clsTree .clsExpandTreeNode
{
    margin-left: 4px;
    background: url(../Images/TreeImages/ExpandRootNode.png) no-repeat left center;
}
.clsTree .clsCollapseTreeNode
{
    margin-left: 4px;
    background: url(../Images/TreeImages/CollapseRootNode.png) no-repeat left center;
}

.clsTree .clsBookmarkTreeNode {
    display: inline-block;
    width: 15px;
    height: 18px;
    background: url(../images/bookmarks-icon.png) no-repeat left top;
    text-indent: -99999px;
}

.clsTree .clsBookmarkTreeNode:hover {
    background-position: left -20px;
}

.clsTree .clsBookmarkTreeNode.active {
    background-position: left -40px;
}
/*.clsTree .clsFolderNode
{
    background: url(../Images/TreeImages/CloseFolderNode.png) no-repeat left center;
}
.clsTree .clsOpenFolderNode
{
    background: url(../Images/TreeImages/OpenFolderNode.png) no-repeat left center;
}
.clsTree .clsGroupNode
{
    background: url(../Images/TreeImages/folder-group-icon.png) no-repeat left center;
}
.clsTreeSelectedNode
{
    background-color: #ECF5FA;
    color: black;
    border: 1px solid #637E90;
    cursor: default;
}*/
.clsTree span.clsTreeSelectedNode { background-color:#f9f9f9;color: black;border:1px dotted #414141; }
.clsTree input[type=textbox]
{
    vertical-align: super;
    height: 14px;
}
.clsTree .clsLeafNode
{
    margin: 0 -4px 0 8px;
    /*background: url(../Images/TreeImages/dot.png) repeat-x left center;*/
}

.clsTree .clsCheckboxRootUl
{
    margin-left: 5px;
}
.clsTree .clsRootCheckbox
{
    margin: 4px 5px 0 -18px;
    margin: 0px 5px 0 -18px\9;
}
.clsTree .clsCheckbox
{
    margin: 4px 5px 0 0;
    margin: 0px 5px 0 0\9;
}

.dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    float: left;
    min-width: 100px;
    max-width: 120px;
    padding: 5px 0;
    margin: 2px 0 0;
    font-size: 14px;
    text-align: left;
    list-style: none;
    background-color: #fff;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    border: 1px solid #ccc;
    border: 1px solid rgba(0, 0, 0, .15);
    border-radius: 4px;
    -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
    box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
}
    .dropdown-menu > li {
        height:21px;
    }
.dropdown-menu > li > a {
  display: block;
  padding: 3px 6px;
  clear: both;
  font-weight: normal;
  line-height: 1.42857143;
  color: #333;
  white-space: nowrap;
  text-decoration: none;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size:small;
  overflow:hidden;
  text-overflow:ellipsis;
  white-space:nowrap;
}
.dropdown-menu > li > a:hover, .dropdown-menu > li > a:focus {
  color: #262626;
  text-decoration: none;
  background-color: #f5f5f5;
}

#contextMenu ul {
  padding:0px;
}

.clsTreeNodeIcon {padding-left: 20px!important;}
.clsTreeNodeIcon[iconname='UserGroup'] { background: url('../Images/TreeImages/usergroup.png') no-repeat;  }
.clsTreeNodeIcon[iconname='ActiveUserGroup'] { background: url('../Images/TreeImages/activeusergroup.png') no-repeat;  }
.clsTreeNodeIcon[iconname='SiteGroup'] { background: url('../Images/TreeImages/sitegroup.png') no-repeat; }
.clsTreeNodeIcon[iconname='Division'] { background: url('../Images/TreeImages/division.png') no-repeat; }
.clsTreeNodeIcon[iconname='Department'] { background: url('../Images/TreeImages/department.png') no-repeat; }
.clsTreeNodeIcon[iconname='AdministratorUserGroup'] { background: url('../Images/TreeImages/administratorusergroup.png') no-repeat; }
.clsTreeNodeIcon[iconname='DeletedUserGroup'] { background: url('../Images/TreeImages/deletedusergroup.png') no-repeat; }

.highlightondrop { font-weight:bold;}